package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.Subject;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.TempLiveTeacherCard;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TempLiveTeacherCardDao extends BaseDAO<Integer, TempLiveTeacherCard> {


    List<TempLiveTeacherCard> list(TempLiveTeacherCard teacherCard);

    TempLiveTeacherCard getBySubjectIdAndLevel(@Param("subjectId") String subjectId, @Param("level") String level);

    List<Subject> querySubjectOption();

    //0 没有购买商品 1 购买商品后没有加入群聊 2 已经加入群聊
    Integer getJoinStstus(@Param("userId") Integer userId, @Param("goodsId") Integer goodsId);

    //查询学生加入的群聊所在的声部
    String getJoinSubject(@Param("userId") Integer userId, @Param("goodsId") Integer goodsId);
}